@import url('https://fonts.googleapis.com/css2?family=Lobster&family=Poppins:wght@300&display=swap');

:root{
    --text-color-1: #1294e0;
    --second-color: #d87e09;
}

*{
    padding: 0;
    margin: 0;
    text-decoration: none;
    list-style: none;
    transition: all .3s ease;
}

html{
    box-sizing: border-box;
}

body{
    background: radial-gradient(circle, #eee, green);
    color: var(--text-color-1);
    font-family: 'Poppins', sans-serif;
}

.header{
    padding: 3.5rem 0;
    width: 100%;
    text-align: center;

    .logo{
        color: #eee;
        font-size: 3.5rem;
        text-transform: uppercase;
        font-family: 'Lobster', cursive;

        &:hover{
            color: #fff;
        }

        small{
            color: #fff;
        }
    }

    h1{
        color: #eee;
    }
}

.container{
    width: 74%;
    margin: auto;

    .block{
        display: flex;
        justify-content: center;
        align-items: center;
        background: rgba(255, 255, 255, 0.342);
        width: 74%;
        padding: 2.5rem;
        margin: 2rem auto;
        box-shadow: 5px 3px 7px 0px rgba(0, 0, 0, 0.322);
        color: #555;

        &:hover{
            background: rgba(255, 255, 255, 0.651);
        }

        &:hover > img{
            transform: scale(1.1) rotate(5deg);
        }

        &:hover > .details{
            a{
                i{
                    transform: rotate(180deg);
                }
            }
        }

        img{
            width: 325px;
            border-radius: 20px;

            &:hover{
                transform: scale(1.1) rotate(5deg);
            }
        }

        .details{
            width: 100%;
            margin-left: 30px;

            h2{
                text-transform: uppercase;
                color: rgba(17, 17, 17, 0.788);
                margin-bottom: 1rem;
            }

            p{
                text-align: justify;
                margin-bottom: 2rem;
            }

            a{
                font-size: 2.5rem;
                color: #555;
                margin-left: auto!important;

                &:hover{
                    color: #333;
                }
            }
        }
    }

    .pagination{
        text-align: center;
        a{
            color: #111;
            font-weight: 600;
            padding: 6px 25px;
            line-height: 2.5;
            background: #fff;
            border-radius: 40px;

            &.active,
            &:hover
            {
                background: #555;
                color: #fff;
            }
        }
    }

    .adress{
        margin: auto;
        color: #333;
        font-size: 18px;
        font-weight: 500;
        width: 74%;
        display: flex;
        justify-content: space-between;

        .block-a,
        .block-b,
        .block-c
        {
            line-height: 1.5;
            margin: 2.5rem 0;
            width: 100%;
        }

        .block-c{
            a{
                color: #111;
                font-size: 24px;
                padding: 4px 30px;
                line-height: 2.5;
                background: #fff;

                small{
                    position: absolute;
                    margin: 0px -45px;
                    font-size: 14px;
                    opacity: 0;
                    color: #fff;
                }
                
                &:hover > i{
                    transform: rotate(10deg) scale(1.5);
                }
                &:hover > .fa-square-facebook{
                    color: #0862d8;
                }
                &:hover > .fa-youtube{
                    color: #d81608;
                }
                &:hover > .fa-whatsapp{
                    color: #08d83c;
                }
                &:hover > small{
                    margin: 50px -45px;
                    opacity: 1;
                }
            }
        }
    }
}

footer{
    text-align: center;
    margin-bottom: 1.5rem;
    color: #fff;
    font-weight: 500;
}